#!/bin/bash
# Bash Menu Script Example

PS3='Auswahl: '
options=("GET" "GET projekt" "GET projektkomponenten" "GET komponente" "GET qsmitarbeiter" "GET swentwickler" "GET katfehler" "GET katursache" "GET fehler" "GET fehlererkannt" "GET fehlerbehoben" "GET prolist" "GET katlist" "GET templates" "Quit")
select opt in "${options[@]}"
do
    case $opt in
        "GET")
            curl \
            --request GET \
            -D- \
            http://localhost:8080
            ;;
        "GET projekt")
            curl \
            --request GET \
            -D- \
            http://localhost:8080/projekt
            ;;
        "GET projektkomponenten")
            curl \
            --request GET \
            -D- \
            http://localhost:8080/projektkomponenten
            ;;
        "GET komponente")
            curl \
            --request GET \
            -D- \
            http://localhost:8080/komponente
            ;;
        "GET qsmitarbeiter")
            curl \
            --request GET \
            -D- \
            http://localhost:8080/qsmitarbeiter
            ;;
        "GET swentwickler")
            curl \
            --request GET \
            -D- \
            http://localhost:8080/swentwickler
            ;;
        "GET katfehler")
            curl \
            --request GET \
            -D- \
            http://localhost:8080/katfehler
            ;;
        "GET katursache")
            curl \
            --request GET \
            -D- \
            http://localhost:8080/katursache
            ;;
        "GET fehler")
            curl \
            --request GET \
            -D- \
            http://localhost:8080/fehler
            ;;
        "GET fehlererkannt")
            curl \
            --request GET \
            -D- \
            http://localhost:8080/fehler/?type=erkannt
            ;;
        "GET fehlerbehoben")
            curl \
            --request GET \
            -D- \
            http://localhost:8080/fehler/?type=behoben
            ;;
        "GET prolist")
            curl \
            --request GET \
            -D- \
            http://localhost:8080/prolist
            ;;
        "GET katlist")
            curl \
            --request GET \
            -D- \
            http://localhost:8080/katlist
            ;;
        "GET templates")
            curl \
            --request GET \
            -D- \
            http://localhost:8080/templates
            ;;

        "Quit")
            break
            ;;
        *) echo invalid option;;
    esac
done